PPI::Structure::Condition(3)

NAME
PPI::Structure::Condition - Round braces for boolean context conditions

SYNOPSIS
  if ( condition ) {
      ...
  }

  while ( condition ) {
      ...
  }

INHERITANCE
  PPI::Structure::Condition
  isa PPI::Structure
      isa PPI::Node
          isa PPI::Element

DESCRIPTION
"PPI::Structure::Condition" is the class used for all round braces that represent boolean contexts used in various conditions.

METHODS
"PPI::Structure::Condition" has no methods beyond those provided by the standard PPI::Structure, PPI::Node and PPI::Element methods.

Got any ideas for methods? Submit a report to rt.cpan.org!

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.